Bug 16036 - Add GPG key
Summary: Add GPG key
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Account Modification Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-20 07:44 UTC by Jordan Crouse
Modified: 2008-06-09 15:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
GPG key for jordan.crouse@amd.com (1.65 KB, text/plain)
2008-05-20 07:44 UTC, Jordan Crouse
Details
signed RSA key for jordan.crouse@amd.com (640 bytes, application/pgp-keys)
2008-05-21 08:57 UTC, Jordan Crouse
Details

Description Jordan Crouse 2008-05-20 07:44:40 UTC
Created attachment 16652 [details]
GPG key for jordan.crouse@amd.com

change@db.freedesktop.org informs me that:

Error: Unable to check the signature or the signature was invalid:
==> Message Error: Unable to verify signature, signing key missing.

I presume that means my GPG key never made the trip.  Please assign the attached key to the 'jcrouse' account.  The key is already visible on subkeys.pgp.net.
Comment 1 Benjamin Close 2008-05-20 19:19:37 UTC
Hi Jordan,
  The biggest two reasons you get this are:

 1. Your key length > 1024 chars
 2. Your mail client is wrapping the line

Can you try with a client that doesn't wrap then let us know if it's still an issue?
Comment 2 Benjamin Close 2008-05-20 19:23:44 UTC
Hi Jordan,
  The biggest two reasons you get this are:

 1. Your key length > 1024 chars
 2. Your mail client is wrapping the line

Can you try with a client that doesn't wrap then let us know if it's still an issue?
Comment 3 Jordan Crouse 2008-05-21 08:56:38 UTC
Hi Ben -

I tried it again directly from the command line:

cat key.pub | gpg --clearsign | sendmail -f jordan.crouse@amd.com change@db.freedesktop.org

Same error.

If wrapping is happening, then it is happening upstream (There are several exchange servers between me and the outside world, but wrapping has never been a problem with patches or anything like that).

On the chance that gpg is the culprit, I am attaching my signed key (cat key.pub | gpg --clearsign)

Comment 4 Jordan Crouse 2008-05-21 08:57:17 UTC
Created attachment 16664 [details]
signed RSA key for jordan.crouse@amd.com
Comment 5 Jordan Crouse 2008-06-09 15:16:03 UTC
Reopening - as per an email conversation with Daniel Stone:

On Thu, May 29, 2008 at 09:28:49AM -0600, Jordan Crouse wrote:
> I've been struggling with this off and on for a while now.   I opened
> a bug (16036), but Benjamin closed it since he assumed that either my
> key length is > 1024 or the mail client was wrapping the line.  Clearly
> the key len isn't > 1024, so I figured that possibly our broken email
> server was to blame, so I tried to send the
> message from home with a known good server, and got the same result.  I
> also sent the message to myself to verify that no wrapping was happening
> (received message is attached).  I'm not too sure where to go from here,
> advice welcome.

For some reason, your GPG key isn't in our keyring.  Did you have a bug
open to import it?

Cheers,
Daniel
Comment 6 Daniel Stone 2008-06-09 15:33:24 UTC
On Mon, Jun 09, 2008 at 03:16:04PM -0700, bugzilla-daemon@freedesktop.org wrote:
> --- Comment #5 from Jordan Crouse <jordan.crouse@amd.com>  2008-06-09 15:16:03 PST ---
> Reopening - as per an email conversation with Daniel Stone:
> 
> On Thu, May 29, 2008 at 09:28:49AM -0600, Jordan Crouse wrote:
> > I've been struggling with this off and on for a while now.   I opened
> > a bug (16036), but Benjamin closed it since he assumed that either my
> > key length is > 1024 or the mail client was wrapping the line.  Clearly
> > the key len isn't > 1024, so I figured that possibly our broken email
> > server was to blame, so I tried to send the
> > message from home with a known good server, and got the same result.  I
> > also sent the message to myself to verify that no wrapping was happening
> > (received message is attached).  I'm not too sure where to go from here,
> > advice welcome.
> 
> For some reason, your GPG key isn't in our keyring.  Did you have a bug
> open to import it?

Reimported.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.